Subject: Re: bug#25493: 26.0.50; ediff merge should (optionally) show ancestor in fourth window

From: Tino Calancha <[email-masked]>
Date: Tue, 28 Feb 2017 15:39:57 +0900 (JST)

On Mon, 27 Feb 2017, [email-masked] wrote:

> Tino Calancha <[email-masked]> writes:
>
>> On Sun, 26 Feb 2017, Charles A. Roelli wrote:
>>
>>> Wow, well done.  Has this been committed yet?
>> No yet.  I am waiting for aproval.
>> People must be busy preparing the Emacs 25.2 release.
>
> It's a big patch, I haven't had time to digest the whole thing yet,
Thanks for look on it.  Please, take your time.
> I'm wondering about why do we need both "\ show/hide ancestor" and "/
> -show ancestor buff"?
>
>         ~ -swap variants |     s -shrink window C    |  / -show ancestor buff
>                          |  $$ -show clashes only    |  & -merge w/new default
>                          |  $* -skip changed regions |
>    +                     |  $% -all ancestor diffs   |
>    +                     |  \\ -show/hide ancestor    |

Yeah, it's weird.  I though about that.  Probably we just need the toggle 
show/hide; we might use for it the original key binding for show ancestor.

In first iteration i wanted just to provide the new feature and let
people suggest if something must be drop/supersed.